# Assembly Programming

- [**RGBDS documentation**][rgbds-doc]: Includes information on the RGBDS tools and the assembly language syntax.
   - [**GBZ80 instructions**][gbz80-instructions]: List of CPU instructions and their effects.
   - [**RGBASM features**][rgbasm-features]: How to use the assembler features: constants, labels, sections, macros, etc.
   - [**RGBLINK features**][rgblink-features]: How to use the linker, including the [pokecrystal.link](/pokecrystal.link) linkerscript.
- [**Pan Docs**][pan-docs]: Everything You Always Wanted To Know About GAMEBOY (but were afraid to ask).
- [**GameBoy Programming Manual**][gb-manual]: The official GameBoy programming and hardware manual by Nintendo.
- [**GameBoy Opcode Summary**][gb-opcodes]: Describes the opcodes of GameBoy assembly language.
- [**GameBoy Memory Map**][gb-memory-map]: Describes the GameBoy Color address space.
- [**awesome-gbdev**][awesome-gbdev]: A curated list of Game Boy development resources such as tools, docs, emulators, related projects and open-source ROMs.

[rgbds-doc]: https://rednex.github.io/
[rgbasm-features]: https://rednex.github.io/rgbds/rgbasm.5.html
[rgblink-features]: https://rednex.github.io/rgbds/rgblink.5.html
[gbz80-instructions]: https://rednex.github.io/rgbds/gbz80.7.html
[pan-docs]: http://bgb.bircd.org/pandocs.htm
[gb-manual]: https://ia801906.us.archive.org/19/items/GameBoyProgManVer1.1/GameBoyProgManVer1.1.pdf
[gb-opcodes]: http://www.devrs.com/gb/files/opcodes.html
[gb-memory-map]: http://gameboy.mongenel.com/dmg/asmmemmap.html
[awesome-gbdev]: https://github.com/avivace/awesome-gbdev
